Networking DebConf7 was a massive task.  Four hundred delegates needed
to be provided with high speed, reliable network access, via both
wired and wireless networks, spread over two Byzantine venues, with
limited setup and installation time.  Reliability was critical, given
that network would be heavily used both by the video team for live
feeds and by the delegates for work, development and discussions.

Using the University network meant that we got a very reliable, very
high speed uplink (100~Mbit/s full duplex symmetric) and we were put
outside of the main University network, so we were reasonably open to
the Internet and could run a few public services.  It did add some
complexity to the network setup and planning, as we had to develop a
plan to ensure that attendees signed the University network Terms of
Service, and we had to restrict access to the wireless network without
also making it difficult for more limited hardware to join the
network.

\begin{quotation}
\textbf{\dots approximately a kilometre of cable for network backbone\dots}
\end{quotation}

The building itself had to be wired from the 2nd floor to the
basement, and we ended up stringing approximately a kilometre of cable
for network backbone, largely thanks to the good people from
Contextshift.co.uk who shouldered the lion's share of running and
terminating the backbone links.  Every room was interconnected with
redundant links.  This turned out to be fortunate: we did have wiring
failures, but no one except the admins noticed and work continued
uninterrupted.

\begin{quotation}
\textbf{\dots Using the University network meant that we got a very
reliable, very high speed uplink}
\end{quotation}

The backbone was a collection of managed switches interconnected by
redundant LACP links, giving us an overall throughput of 2~Gbit/s on
the main conference network.  Generous as this sounds, we came close
to maxing it out during most days.  This is because rather than run
several physical networks to isolate the video team, the main wired
conference network and the wireless network, we used VLAN tagged
networks and ran it all over the same physical trunks.  While this
probably saved us several kilometres of cable run, it did mean that we
used the existing network fairly heavily.

For the network services, we had several machines donated by Thomas
Krenn AG.  The main server for the conference was again named Homer,
and handled the basic infrastructure tasks of firewall, router, name
service, local mirror, monitoring and so forth.  Homer also handled
the IRC bot that announced talks and arrivals and answered simple
queries.  The video team storage server was named Barney, and had 1.5
TB of storage.  Lisa handled the video streaming to the Internet, and
Bart and Maggie were attendee-accessible build machines.

\begin{quotation}
\textbf{\dots an overall throughput of 2~Gbit/s on the main conference
  network \dots  we came close to maxing it out during most days.}
\end{quotation}

There were also several more machines brought by members of the video
team to handle things like transcoding, mixing, and sending the streams
to Lisa.  We then used geoDNS to point people to the closest mirror on
the Internet, so that people could view the streams around the world
without overloading a particular server.  Conference attendees were sent
directly to Lisa when requesting a stream from video.debconf.org.

To make the wireless as accessible as possible while simultaneously
restricting access to the network to conference attendees, we had to
develop a web-based logon system for the wireless network based on several
existing software projects.  The logon system allowed authenticated users
to use the wireless network without repeated re-logon prompts, and also
allowed embedded devices without a browser interface to authenticate to
use the wireless network.

\begin{quotation}
\textbf{\dots Network access in the night venue was provided using a 5.4~GHz radio network
link connected to the main conference.}
\end{quotation}

As has been mentioned, we had a separate night venue approximately 200
metres away.  Network access was provided using a 5.4~GHz radio network
link connected to the main conference.  This network interconnected
with the main conference network and appeared on the wireless segment,
so that we did not have to worry that the wireless interlink would be
intercepted and abused.  Power and network cabling was again distributed
throughout the building, thanks to many volunteers.

All in all, the network worked very well. Few complaints were raised,
and countless people took time to give it high praise.
